Subject: Re: git cherry-pick --continue?

From: SZEDER Gábor <[email-masked]>
Date: Fri, 12 Feb 2010 15:11:47 +0100

Hi,

On Thu, Feb 11, 2010 at 05:27:14PM -0500, Jeff King wrote:
> On Thu, Feb 11, 2010 at 12:36:52PM -0800, Junio C Hamano wrote:
> 
> > > Do you just want to pick up my patch from earlier in the thread, or do
> > > you have further comments? The only thing I could think to change would
> > > be that we may not want to even bother advertising --continue in the
> > > usage message (conversely, we could go a step further and actually
> > > advertise it in the manpage).
> > 
> > I would say our eventual goal should be to make "--continue" the primary
> > word the end users would see.  It would bring us closer to that goal to
> > start advertising --continue early.
> 
> OK. Then I think my patch is fine. But we could also do this if we
> wanted to push it further now:
> 
> -- >8 --
> Subject: [PATCH] am: switch --resolved to --continue
> 
> Rebase calls this same function "--continue", which means
> users may be trained to type it. There is no reason to
> deprecate --resolved (or -r), so we will keep it as a
> synonym.
> 
> Signed-off-by: Jeff King <[email-masked]>

Then maybe we should have this, too.

Best,
Gábor

 -- >8 --
Subject: [PATCH] bash: support 'git am's new '--continue' option

Signed-off-by: SZEDER Gábor <[email-masked]>
---
 contrib/completion/git-completion.bash |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/contrib/completion/git-completion.bash b/contrib/completion/git-completion.bash
index 35acad0..fe93747 100755
--- a/contrib/completion/git-completion.bash
+++ b/contrib/completion/git-completion.bash
@@ -667,7 +667,7 @@ _git_am ()
 {
 	local cur="${COMP_WORDS[COMP_CWORD]}" dir="$(__gitdir)"
 	if [ -d "$dir"/rebase-apply ]; then
-		__gitcomp "--skip --resolved --abort"
+		__gitcomp "--skip --continue --resolved --abort"
 		return
 	fi
 	case "$cur" in
-- 
1.7.0.rc1.84.g9879